package model

type OneCirclesCommunityDividends struct {
	Id         int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Nums       int    `json:"nums" xorm:"not null default 0 comment('分红数量') INT(11)"`
	Name       string `json:"name" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	CoinId     int    `json:"coin_id" xorm:"not null default 0 comment('虚拟币id') INT(11)"`
	PersonsNum int    `json:"persons_num" xorm:"not null default 0 comment('分红人数') INT(11)"`
	IsOver     int32  `json:"is_over" xorm:"not null default 0 comment('是否分红完毕') TINYINT(1)"`
	CreateAt   string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt   string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
