package model

type OneCirclesCommunityDividendsWithUserRecords struct {
	Id        int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid       int    `json:"uid" xorm:"not null default 0 comment('用户id') INT(11)"`
	Value     string `json:"value" xorm:"not null default 0.0000000000 comment('数量') DECIMAL(28,10)"`
	RecordsId int    `json:"records_id" xorm:"not null default 0 comment('记录id') INT(11)"`
	CoinId    int    `json:"coin_id" xorm:"not null default 0 comment('虚拟币id') INT(11)"`
	CreateAt  string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt  string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
