package model

type SubsidyWithUserFlow struct {
	Id            int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	RecordsId     int    `json:"records_id" xorm:"not null default 0 comment('记录id') INT(11)"`
	Amount        string `json:"amount" xorm:"not null default 0.00 comment('金额') DECIMAL(20,2)"`
	BalanceAmount string `json:"balance_amount" xorm:"not null default 0.00 comment('余额') DECIMAL(20,2)"`
	CreateAt      string `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP DATETIME"`
	UpdateAt      string `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP DATETIME"`
	Kind          int    `json:"kind" xorm:"default 1 comment('类型(1:消费补贴 2:体验补贴)') INT(1)"`
	Month         int    `json:"month" xorm:"default 0 comment('202312') INT(11)"`
	Uid           int    `json:"uid" xorm:"default 0 INT(11)"`
	Date          string `json:"date" xorm:"comment('2023-12-01') VARCHAR(255)"`
	Day           int    `json:"day" xorm:"not null default 0 comment('') TINYINT(1)"`
	LeaveDay      int    `json:"leave_day" xorm:"not null default 0 comment('') TINYINT(1)"`
}
