package model

type SubsidyWithUserMonth struct {
	Id               int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid              int    `json:"uid" xorm:"default 0 INT(11)"`
	Date             string `json:"date" xorm:"comment('2023-12') VARCHAR(255)"`
	ConsumeAmount    string `json:"consume_amount" xorm:"default 0.00 DECIMAL(20,2)"`
	ExperienceAmount string `json:"experience_amount" xorm:"default 0.00 DECIMAL(20,2)"`
	StoreAmount      string `json:"store_amount" xorm:"default 0.00 DECIMAL(20,2)"`
}
