package md

// MoreDetailResponse is for response detail
type CommissionParam struct {
	OldPrice             string `json:"old_price"`
	GoodsPrice           string `json:"goods_price"`
	Commission           string `json:"commission"`
	CommissionRate       string `json:"commission_rate"`
	CouponPrice          string `json:"coupon_price"`
	WlGoodsPrice         string `json:"wl_goods_price"` //卷后价
	LowerPrice           string `json:"lower_price"`
	LowestCouponPrice    string `json:"lowestCouponPrice"`
	MinGroupPrice        string `json:"min_group_price"`
	PaidPrice            string `json:"paid_price"`
	Oid                  string `json:"oid"` //标记
	IsGoods              string `json:"is_goods"`
	IsTask               string `json:"is_task"`
	ShowLevel            string `json:"show_level"`
	IsShowExtend         string `json:"is_show_extend"`
	GoodsCommission      string `json:"goods_commission"`
	GoodsType            string `json:"goods_type"`
	TikTokTeamCommission string `json:"tik_tok_team_commission"`
	IsTikTokTeamOrder    string `json:"is_tik_tok_team_order"`
	MinLevel             int    `json:"min_level"`
	DouyinBili           string `json:"douyin_bili"`
}
type CommissionFirstParam struct {
	CommissionParam  CommissionParam `json:"commission_param"`
	Uid              string          `json:"uid"`
	IsShare          int             `json:"is_share"`
	OldLv            string          `json:"old_lv"` //升级礼包读取的是升级前的等级
	NewLv            string          `json:"new_lv"` //升级礼包读取的是升级后的等级
	Provider         string          `json:"provider"`
	IsAllLevelReturn int             `json:"is_all_level_return"` // 是否返回所有层级
	GoodsId          string          `json:"goods_id,omitempty"`  // 用于标记是哪个商品的
	OwnbuyReturnType int             `json:"ownbuy_return_type"`  //自购是否返利 0返利 1不返利
	Oid              string          `json:"oid"`
	ShowLevel        string          `json:"show_level"`
	IsShowExtend     string          `json:"is_show_extend"`
}
