package md

const OneCirclesExchange = "one.circles"

const (
	OneCirclesRoutKeyForSignIn                           = "sign_in"                                // 签到
	OneCirclesRoutKeyForStarLevelDividend                = "star_level_dividend"                    // 星级分红
	OneCirclesRoutKeyForAutoExchangeGreenEnergyToPerson  = "auto_exchange_green_energy_to_person_1" // 自动兑换个人绿色能量
	OneCirclesRoutKeyForAutoExchangeGreenEnergyToTeam    = "auto_exchange_green_energy_to_team"     // 自动兑换团队绿色能量
	OneCirclesRoutKeyForSettlementPublicGiveActivityCoin = "settlement_public_give_activity_coin"   // 计算观看激励视屏得到活跃积分
)

type OneCirclesStructForSignIn struct {
	MasterId string `json:"master_id"`
	Uid      int    `json:"uid"`
	Id       int64  `json:"id"`
	EndTime  string `json:"end_time"`
}

type OneCirclesStructForAutoExchangeGreenEnergy struct {
	MasterId               string `json:"master_id"`
	Uid                    int    `json:"uid"`
	Amount                 string `json:"amount"`
	CoinId                 int    `json:"coin_id"`
	AutoExchangeNumsAmount string `json:"auto_exchange_nums_amount"`
}
type OneCirclesStructForStarLevelDividends struct {
	MasterId     string  `json:"master_id"`
	Uid          int     `json:"uid"`
	SignDividend float64 `json:"sign_dividend"`
}
