package md

type PlayRaffleGameRewardDataStruct struct {
	RewardLimit string `json:"reward_limit"`
	RewardValue string `json:"reward_value"`
}
type PlayGoldenEggGameRewardDataStruct struct {
	RewardLimit string `json:"reward_limit"`
	RewardValue string `json:"reward_value"`
}
type BrowsingInterfaceRewardDataStruct struct {
	BrowsingInterfaceTimes string `json:"browsing_interface_times"`
	RewardValue            string `json:"reward_value"`
}
type SharingAssistanceRewardDataStruct struct {
	Helper           string `json:"helper"`
	Assisted         string `json:"assisted"`
	AssistUpperLimit string `json:"assist_upper_limit"`
}
type PlaceOrderRewardDataStruct struct {
	Lowest      string `json:"lowest"`
	RewardValue string `json:"reward_value"`
}
type TimerSignRewardDataStruct struct {
	From string `json:"from"`
	To   string `json:"to"`
}

type GetHappyOrchardUserSeedRecordDataResp struct {
	RecordId                             int     `json:"record_id"`    //种子id
	RecordName                           string  `json:"record_name"`  //种子名称
	RecordState                          int     `json:"record_state"` //种子状态
	RecordStateZh                        string  `json:"record_state_zh"`
	RecordPlantingStage                  int     `json:"record_planting_stage"` //种子种植阶段
	RecordPlantingStageZh                string  `json:"record_planting_stage_zh"`
	RecordPlantingNextStage              int     `json:"record_planting_next_stage"` //种子种植下一阶段
	RecordPlantingNextStageZh            string  `json:"record_planting_next_stage_zh"`
	RecordPlantingNextStageNeedWaterNums int     `json:"record_planting_next_stage_need_water_nums"` //种子种植下一阶段需浇水次数
	RecordPlantingNextStageNeedWater     int     `json:"record_planting_next_stage_need_water"`      //种子种植下一阶段水滴数
	NowRecordWaters                      int     `json:"now_record_waters"`                          //当前种子水滴数
	TotalNeedWaters                      int     `json:"total_need_waters"`                          //总计需要水滴数
	PlantingRate                         float64 `json:"planting_rate"`                              //种植进度百分比
}

type DealUserWatersKindForWateringReq struct {
	Uid               int    `json:"uid"` //用户id
	KindType          string `json:"kind_type"`
	Kind              int    `json:"kind"`
	RewardWatersValue int    `json:"reward_waters_value"`
}
type DealUserWatersKindForSevenDaysSignReq struct {
	Uid      int `json:"uid"`      //用户id
	SignNums int `json:"sign_num"` //签到天数
}
type DealUserWatersKindForTimerSignReq struct {
	Uid int `json:"uid"` //用户id
}
type DealUserWatersReqForPlaceOrderRewardReq struct {
	Uid int `json:"uid"` //用户id
}
type DealUserWatersKindForSharingAssistanceReq struct {
	HelperUid   int `json:"assistance_uid"` //助力用户id
	AssistedUid int `json:"assisted_uid"`   //被助力用户id
}
type DealUserWatersKindForInvitingNewPlayersReq struct {
	Uid int `json:"uid"` //用户id
}
type DealUserWatersKindForBrowsingInterfaceReq struct {
	Uid int `json:"uid"` //用户id
}
type DealUserWatersKindForPlayGoldenEggGame struct {
	Uid int `json:"uid"` //用户id
}
type DealUserWatersKindForPlayRaffleGame struct {
	Uid int `json:"uid"` //用户id
}
type DealUserWatersKindForUpgradeRewardReq struct {
	Uid int `json:"uid"` //用户id
}
