package md

const (
	/*********** DEVICE ***********/
	PLATFORM_WX_APPLET      = "wx_applet" // 小程序
	PLATFORM_TOUTIAO_APPLET = "toutiao_applet"
	PLATFORM_TIKTOK_APPLET  = "tiktok_applet"
	PLATFORM_BAIDU_APPLET   = "baidu_applet"
	PLATFORM_ALIPAY_APPLET  = "alipay_applet"
	PLATFORM_WAP            = "wap" //h5
	PLATFORM_ANDROID        = "android"
	PLATFORM_IOS            = "ios"
	PLATFORM_JSAPI          = "jsapi" // 公众号
	PLATFORM_PC             = "pc"
)

const WX_PAY_BROWSER = "wx_pay_browser" // 用于判断显示支付方式

var PlatformList = map[string]struct{}{
	PLATFORM_WX_APPLET:      {},
	PLATFORM_TOUTIAO_APPLET: {},
	PLATFORM_TIKTOK_APPLET:  {},
	PLATFORM_BAIDU_APPLET:   {},
	PLATFORM_ALIPAY_APPLET:  {},
	PLATFORM_WAP:            {},
	PLATFORM_ANDROID:        {},
	PLATFORM_IOS:            {},
}

var PlatformMap = map[string]string{
	"android":        "2",
	"ios":            "2",
	"wap":            "4", // 和小程序公用模板
	"wx_applet":      "4", //微信小程序
	"tiktok_applet":  "4",
	"baidu_applet":   "4",
	"alipay_applet":  "4",
	"toutiao_applet": "4",
}
