package svc

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/rule/mw/model"
	zhios_order_relate_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/utils"
	"xorm.io/xorm"
)

// 获取指定类型的域名对应的masterId：admin、wap、api
func GetWebSiteDomainMasterId(baseDb *xorm.Engine, domainType string, host string) string {
	obj := new(model.UserAppDomain)
	has, err := baseDb.Where("domain=? and type=?", host, domainType).Get(obj)
	if err != nil || !has {
		return ""
	}
	return zhios_order_relate_utils.AnyToString(obj.Uuid)
}
